## eclipse-titan-optdir-9.0.0 9.0.0~osmocom1.2263.c685

=== JNI/Makefile ===
##############################################################################
# Copyright (c) 2000-2023 Ericsson Telecom AB
# All rights reserved. This program and the accompanying materials
# are made available under the terms of the Eclipse Public License v2.0
# which accompanies this distribution, and is available at
# https://www.eclipse.org/org/documents/epl-2.0/EPL-2.0.html
#
# Contributors:
#   Balasko, Jeno
#   Lovassy, Arpad
#
##############################################################################
#
# "org_eclipse_titan_executor_jni_JNIMiddleWare.h" is generated by javah (java header generator tool)
# DO NOT EDIT THAT FILE UNLESS YOU KNOW WHAT YOU ARE DOING
#
# CLI command for header generation:
# > javah -classpath . -jni org.eclipse.titan.executor.jni.JNIMiddleWare
# - must be issued in the /bin direcory within the project

TOP := ..
include $(TOP)/Makefile.cfg

CPPFLAGS += -I$(JDKDIR)/include
ifeq ($(PLATFORM), WIN32)
CPPFLAGS += -D__int64='long long'
endif

ifeq ($(PLATFORM), LINUX)
  CPPFLAGS += -I$(JDKDIR)/include/linux
endif
ifeq ($(PLATFORM), SOLARIS)
  CPPFLAGS += -I$(JDKDIR)/include/solaris
endif
ifeq ($(PLATFORM), SOLARIS8)
  CPPFLAGS += -I$(JDKDIR)/include/solaris
endif

STATIC_SOURCES := jnimw.cc jninativelib.cc
HEADERS := jnimw.h org_eclipse_titan_executor_jni_JNIMiddleWare.h

SOURCES := $(STATIC_SOURCES)

OBJECTS := $(patsubst %.cc,%.o,$(patsubst %.c,%.o,$(SOURCES)))

OTHER_OBJECTS := $(TOP)/mctr2/mctr/MctrError.o $(TOP)/mctr2/mctr/MainController.o \
	$(TOP)/mctr2/mctr/UserInterface.o $(TOP)/common/memory.o \
	$(TOP)/common/new.o $(TOP)/core/Textbuf.o $(TOP)/core/RInt.o $(TOP)/common/NetworkHandler.o \
	$(TOP)/mctr2/cli/config_read.lex.o $(TOP)/mctr2/cli/config_read.tab.o $(TOP)/mctr2/mctr/config_data.o \
	$(TOP)/common/config_preproc_p.tab.o $(TOP)/common/config_preproc.o $(TOP)/common/config_preproc_la.o \
	$(TOP)/common/path.o $(TOP)/common/memory.o $(TOP)/common/Path2.o

ifeq ($(LICENSING), yes)
  OTHER_OBJECTS += $(TOP)/common/license.o
endif

TARGETS := libmctrjninative.so

SOLARIS_LIBS =
SOLARIS8_LIBS := -lsocket -lnsl
LINUX_LIBS :=
FREEBSD_LIBS =
WIN32_LIBS =

#
# Rules for building the executable...
#
all run: $(TARGETS);

libmctrjninative.so: $(OBJECTS) $(OTHER_OBJECTS)
	$(LD) $(LDFLAGS) -o $@ $^ \
	$($(PLATFORM)_LIBS) -lpthread $(LICENSE_LIBS) -L$(OPENSSL_DIR)/lib -lcrypto

install: $(TARGETS)
ifeq ($(DEBUG), no)
	$(STRIP) $(TARGETS)
endif
	mkdir -p $(LIBDIR)
	cp $(TARGETS) $(LIBDIR)

include $(TOP)/Makefile.genrules

=== compiler2/Makefile ===
##############################################################################
# Copyright (c) 2000-2023 Ericsson Telecom AB
# All rights reserved. This program and the accompanying materials
# are made available under the terms of the Eclipse Public License v2.0
# which accompanies this distribution, and is available at
# https://www.eclipse.org/org/documents/epl-2.0/EPL-2.0.html
#
# Contributors:
#   
#   Baji, Laszlo
#   Balasko, Jeno
#   Baranyi, Botond
#   Cserveni, Akos
#   Delic, Adam
#   Feher, Csaba
#   Forstner, Matyas
#   Kovacs, Ferenc
#   Kremer, Peter
#   Ormandi, Matyas
#   Raduly, Csaba
#   Szabados, Kristof
#   Szabo, Janos Zoltan – initial implementation
#   Szalai, Gabor
#   Tatarka, Gabor
#   Zalanyi, Balazs Andor
#
##############################################################################
# Makefile for the integrated (TTCN-3 and ASN.1) compiler
# and the makefile generator

TOP := ..
include $(TOP)/Makefile.cfg

ifeq ($(USAGE_STATS), yes)
SOLARIS_LIBS  := -lresolv -lsocket -lnsl
SOLARIS8_LIBS := -lresolv -lsocket -lnsl
LINUX_LIBS := -lpthread -lrt
endif

ifeq ($(findstring g++, $(CXX)), g++)
  CXXFLAGS += -fno-exceptions
endif

ifdef REGEX_DIR
  CPPFLAGS += -I$(REGEX_DIR)/include
endif

ifdef OPENSSL_DIR
ifneq ($(OPENSSL_DIR), default)
  CPPFLAGS += -I$(OPENSSL_DIR)/include
  LDFLAGS  += -L$(OPENSSL_DIR)/lib
endif
endif

ifdef XMLDIR
ifeq ($(XMLDIR), default)
  XMLDIR := /usr
  # do not add -L/usr/lib to LDFLAGS, it's redundant
else
  LDFLAGS  += -L$(XMLDIR)/lib
endif

  CPPFLAGS += -I$(XMLDIR)/include/libxml2
endif

ifdef SRCDIR
  CPPFLAGS += -Iasn1
endif

# Too many "comparison between signed and unsigned"
CCFLAGS += -Wno-sign-compare

ifndef MINGW
TARGETS := compiler$(EXESUFFIX) ttcn3_makefilegen$(EXESUFFIX) tcov2lcov$(EXESUFFIX)
MANPAGES := compiler.1 ttcn3_makefilegen.1
else
TARGETS := compiler$(EXESUFFIX)
MANPAGES := compiler.1
MAYBE_PDFS := $(MANPAGES:.1=.pdf)
endif

PDFS := $(MANPAGES:.1=.pdf)

COMPILER_SOURCES := encdec.c enum.c functionref.c record.c record_of.c union.c \
PredefFunc.cc AST.cc Code.cc Constraint.cc CompilerError.cc \
CompField.cc CompType.cc EnumItem.cc Identifier.cc Int.cc \
main.cc Real.cc Setting.cc SigParam.cc string.cc subtype.cc Stopwatch.cc \
Type.cc Type_chk.cc Type_codegen.cc TypeCompat.cc \
Typestuff.cc ustring.cc Value.cc Valuestuff.cc XerAttributes.cc subtypestuff.cc \
CodeGenHelper.cc DebuggerStuff.cc XSD_Types.cc

MFGEN_SOURCES := makefile.c xpather.cc ProjectGenHelper.cc

TCOV2LCOV_SOURCES := tcov2lcov.cc

SOURCES := $(COMPILER_SOURCES) $(MFGEN_SOURCES) $(TCOV2LCOV_SOURCES)

# All sources are static in this directory
STATIC_SOURCES := $(SOURCES)

COMPILER_OBJECTS := $(patsubst %.cc,%.o,$(patsubst %.c,%.o,$(COMPILER_SOURCES)))

MFGEN_OBJECTS := $(patsubst %.cc,%.o,$(patsubst %.c,%.o,$(MFGEN_SOURCES)))

TCOV2LCOV_OBJECTS := $(patsubst %.cc,%.o,$(patsubst %.c,%.o,$(TCOV2LCOV_SOURCES)))

OBJECTS := $(COMPILER_OBJECTS) $(MFGEN_OBJECTS) $(TCOV2LCOV_OBJECTS)

# Used by both the compiler and makefilegen
COMMON_OBJECTS := $(addprefix ../common/, memory.o path.o userinfo.o)

TCOV2LCOV_COMMON_OBJECTS := ../common/memory.o

ifeq ($(LICENSING), yes)
	COMMON_OBJECTS += ../common/license.o
	TCOV2LCOV_COMMON_OBJECTS += ../common/license.o
endif

ifdef REGEX_DIR
  COMMON_OBJECTS += $(REGEX_DIR)/lib/regex.o
endif

COMPILER_COMMON_OBJECTS := $(COMMON_OBJECTS) \
$(addprefix ../common/, git_version.o new.o pattern_la.o pattern_p.o pattern_uni.o Quadruple.o \
ModuleVersion.o JSON_Tokenizer.o UnicharPattern.o openssl_version.o)

ifeq ($(USAGE_STATS), yes)
COMPILER_COMMON_OBJECTS += ../common/usage_stats.o
endif

MFGEN_COMMON_OBJECTS := $(COMMON_OBJECTS) ../common/new.o

DEPFILES := $(patsubst %.cc,%.d,$(patsubst %.c,%.d,$(COMPILER_SOURCES) \
$(MFGEN_SOURCES)))

SUBDIRS := asn1 ttcn3

.PHONY: asn1_dir ttcn3_dir

all run: $(TARGETS)

asn1/libasn1_compiler.a: asn1_dir ;

ttcn3/libttcn3_compiler.a: ttcn3_dir ;

asn1_dir:
	$(MAKE) -C asn1

ttcn3_dir:
	$(MAKE) -C ttcn3

pdf: $(PDFS)

install: $(TARGETS) $(MAYBE_PDFS)
ifeq ($(DEBUG), no)
	$(STRIP) $(TARGETS)
endif
	mkdir -p $(BINDIR)
	cp $(TARGETS) $(BINDIR)
ifdef MINGW
	mkdir -p $(MANDIR)
	cp $(PDFS)    $(MANDIR)
else
	cp tcov.xsd tcov.xsl $(INCDIR)
	cp titanver $(BINDIR)
	chmod a+x $(BINDIR)/titanver
	$(RM) $(BINDIR)/ttcn3_compiler$(EXESUFFIX) \
	$(BINDIR)/asn1_compiler$(EXESUFFIX) $(BINDIR)/makefilegen$(EXESUFFIX)
	ln -s compiler$(EXESUFFIX) $(BINDIR)/ttcn3_compiler$(EXESUFFIX)
	ln -s compiler$(EXESUFFIX) $(BINDIR)/asn1_compiler$(EXESUFFIX)
	ln -s ttcn3_makefilegen$(EXESUFFIX) $(BINDIR)/makefilegen$(EXESUFFIX)
	mkdir -p $(MANDIR)/man1
	cp $(MANPAGES) $(MANDIR)/man1
	$(RM) $(MANDIR)/man1/ttcn3_compiler.1 $(MANDIR)/man1/asn1_compiler.1 \
	$(MANDIR)/man1/makefilegen.1
	ln -s compiler.1 $(MANDIR)/man1/ttcn3_compiler.1
	ln -s compiler.1 $(MANDIR)/man1/asn1_compiler.1
	ln -s ttcn3_makefilegen.1 $(MANDIR)/man1/makefilegen.1
endif

# The compiler always links to OpenSSL (even without LICENSING)
# because it uses bignums.
compiler$(EXESUFFIX): asn1/libasn1_compiler.a ttcn3/libttcn3_compiler.a \
$(COMPILER_OBJECTS) $(COMPILER_COMMON_OBJECTS)
	$(CXX) $(LDFLAGS) -o $@ $(COMPILER_OBJECTS) $(COMPILER_COMMON_OBJECTS) \
	asn1/libasn1_compiler.a ttcn3/libttcn3_compiler.a \
	-lcrypto $(RSLICLIB) $(MINGW_LIBS) $($(PLATFORM)_LIBS)

ttcn3_makefilegen$(EXESUFFIX): $(MFGEN_OBJECTS) $(MFGEN_COMMON_OBJECTS) \
ttcn3/ttcn3_preparser.lex.o asn1/asn1_preparser.lex.o
	$(CXX) $(LDFLAGS) -o $@ $^ -lxml2 $(LICENSE_LIBS) $(MINGW_LIBS)

tcov2lcov$(EXESUFFIX): $(TCOV2LCOV_OBJECTS) $(TCOV2LCOV_COMMON_OBJECTS)
	$(CXX) $(LDFLAGS) -o $@ $^ -lxml2 $(LICENSE_LIBS) $(MINGW_LIBS)

include ../Makefile.genrules

# Target-specific variable alteration
# Target-specific += causes make 3.79.1 to crash, hence this old style
makefile.o: CPPFLAGS :=  $(CPPFLAGS) -DCXX='"$(CXX)"'

# Pre-seed dependencies. Value.cc and Valuestuff.cc include asn1/asn1p.tab.hh
# However, if asn1/asn1p.y is modified, these files are not rebuilt because
# the Value.d contains a dependency on asn1/asn1p.tab.hh, which is not yet
# regenerated.
#
# 1. asn1/asn1p.y is modified
# 2. "make" checks dependencies of Value.o; decides nothing to do
# 3. "make -C asn1" rebuilds asn1p.y, updating asn1p.tab.hh
# 4. Value.o is now out of date
# 5. "make" issued a second time decides that Value.o is out of date
Value.d      Value.o      : asn1/asn1p.tab.hh
Valuestuff.d Valuestuff.o : asn1/asn1p.tab.hh
Constraint.d Constraint.o : asn1/asn1p.tab.hh

=== core2/Makefile ===
##############################################################################
# Copyright (c) 2000-2023 Ericsson Telecom AB
# All rights reserved. This program and the accompanying materials
# are made available under the terms of the Eclipse Public License v2.0
# which accompanies this distribution, and is available at
# https://www.eclipse.org/org/documents/epl-2.0/EPL-2.0.html
#
# Contributors:
#   Balasko, Jeno
#   Delic, Adam
#   Kovacs, Ferenc
#   Raduly, Csaba
#
##############################################################################
# Makefile for the function test version Base Library of TTCN-3 Test Executor

FUNCTION_TEST_RUNTIME := yes

RT2_SOURCES := Basetype2.cc

ifndef SRCDIR
SRCDIR := ..
endif

include ../core/Makefile

CPPFLAGS += -I../core

ifdef SRCDIR
CPPFLAGS += -I$(SRCDIR)/core
endif

# Tell make that .c and .cc files can be found in another directory.
# Selective (lowercase) vpath is a GNU make feature.

vpath %.c  $(SRCDIR)/core
vpath %.cc ../core:$(SRCDIR)/core
vpath %.xsd $(SRCDIR)/core
vpath %.ttcn $(SRCDIR)/core
vpath cversion.h $(SRCDIR)/core

=== etc/Makefile ===
##############################################################################
# Copyright (c) 2000-2023 Ericsson Telecom AB
# All rights reserved. This program and the accompanying materials
# are made available under the terms of the Eclipse Public License v2.0
# which accompanies this distribution, and is available at
# https://www.eclipse.org/org/documents/epl-2.0/EPL-2.0.html
#
# Contributors:
#   Baji, Laszlo
#   Balasko, Jeno
#   Baranyi, Botond
#   Czimbalmos, Eduard
#   Delic, Adam
#   Kovacs, Ferenc
#   Kovacs, Zoltan
#   Ormandi, Matyas
#   Raduly, Csaba
#   Szabados, Kristof
#   Szabo, Janos Zoltan – initial implementation
#   Szalai, Endre
#   Torpis, Zsolt
#
##############################################################################
# Makefile for installing the nedit and xemacs additions

TOP := ..
include ../Makefile.cfg

NEDIT_FILES := $(addprefix nedit/, $(addsuffix .pats, \
ttcn3 ttcn3_config ttcn3_log asn1))

XEMACS_FILES := $(addprefix xemacs/, ttcn3.el ttcn3-indent.el ttcn3-mode-init.el ttcn3-check-init.el ttcn3-cfg.el \
asn1-mode.el asn1-mode-1.0-pkg.tar.gz clearcase-1.08-pkg.tar.gz README.xemacs)

SKELETON_FILES := $(addprefix skeleton/, $(addsuffix .skeleton, \
altstep asn1_module component_type constant control_part data_type function \
import_part module_param port_type signature template testcase ttcn3_module))

XSD_FILES := $(addprefix xsd/, TPD.xsd)

CASE_FOLDINGS := CaseFolding.txt

install:
ifdef MINGW
	@echo Skipped ${CURDIR} for MinGW
else
	mkdir -p $(ETCDIR)/xsd
	cp $(XSD_FILES) $(ETCDIR)/xsd
	mkdir -p $(ETCDIR)/asciiart
#	cp asciiart/*.txt $(ETCDIR)/asciiart
	mkdir -p $(ETCDIR)/scripts
	cp scripts/*.py $(ETCDIR)/scripts
	cp $(CASE_FOLDINGS) $(ETCDIR)
endif

=== langviz/Makefile ===
##############################################################################
# Copyright (c) 2000-2023 Ericsson Telecom AB
# All rights reserved. This program and the accompanying materials
# are made available under the terms of the Eclipse Public License v2.0
# which accompanies this distribution, and is available at
# https://www.eclipse.org/org/documents/epl-2.0/EPL-2.0.html
#
# Contributors:
#   Balasko, Jeno
#   Forstner, Matyas
#   Raduly, Csaba
#   Szabo, Janos Zoltan – initial implementation
#
##############################################################################
# Makefile for the langviz

include ../Makefile.cfg

TARGETS := langviz$(EXESUFFIX)

GENERATED_SOURCES := bison_la.yy.cc bison_p.tab.cc

SOURCES := main.cc error.c Node.cc Symbol.cc Rule.cc Grammar.cc Iterator.cc Graph.cc $(GENERATED_SOURCES)

GENERATED_HEADERS := bison_p.tab.hh

GENERATED_OTHERS := bison_p.output lex.backup

OBJECTS := $(patsubst %.cc,%.o,$(patsubst %.c,%.o,$(SOURCES)))

COMMON_OBJECTS := ../common/memory.o ../common/new.o ../compiler2/string.o

DEPFILES := $(patsubst %.cc,%.d,$(patsubst %.c,%.d,$(SOURCES)))

SUBDIRS :=

.PHONY:

all run: $(TARGETS)

install: $(TARGETS)
ifeq ($(DEBUG), no)
	$(STRIP) $(TARGETS)
endif
	mkdir -p $(BINDIR)
	cp $(TARGETS) $(BINDIR)

langviz$(EXESUFFIX): $(OBJECTS) $(COMMON_OBJECTS)
	$(CXX) $(LDFLAGS) -o $@ $(OBJECTS) $(COMMON_OBJECTS)

bison_la.yy.cc: bison_la.l
	$(FLEX) $(FLEXFLAGS) -o$@ $<

bison_p.tab.cc bison_p.tab.hh: bison_p.y
	$(BISON) $(BISONFLAGS) $<

include ../Makefile.genrules

=== licensegen/Makefile ===
##############################################################################
# Copyright (c) 2000-2023 Ericsson Telecom AB
# All rights reserved. This program and the accompanying materials
# are made available under the terms of the Eclipse Public License v2.0
# which accompanies this distribution, and is available at
# https://www.eclipse.org/org/documents/epl-2.0/EPL-2.0.html
#
# Contributors:
#   Balasko, Jeno
#   Forstner, Matyas
#   Gecse, Roland
#   Raduly, Csaba
#   Szabo, Janos Zoltan – initial implementation
#
##############################################################################
# Makefile for the license generator program

TOP := ..
include ../Makefile.cfg


#valid on on $TITAN7, RHEL7 :
MYSQL_DIR := /app/vbuild/RHEL7-x86_64/mysql/5.5.30/
#valid on on $TITAN7, RHEL7 :
OPENSSL_DIR := /local/home/titanrt/tools/openssl
TARGET_DIR := /proj/ttcn3titan/license

CPPFLAGS += -I$(OPENSSL_DIR)/include -I$(MYSQL_DIR)/include

SOLARIS_LIBS := -lsocket -lnsl -lm -lz
SOLARIS8_LIBS := -lsocket -lnsl -lm -lz
LINUX_LIBS := -lpthread -lz -lm -lrt -ldl #-lnsl
FREEBSD_LIBS :=
WIN32_LIBS :=

SOURCES := license_gen.c
DEPFILES := $(patsubst %.cc,%.d,$(patsubst %.c,%.d,$(SOURCES)))
COMMON_OBJECTS := ../common/license.o ../common/memory.o
OBJECTS := $(patsubst %.cc,%.o,$(patsubst %.c,%.o,$(SOURCES))) $(COMMON_OBJECTS)
TARGETS := license_gen$(EXESUFFIX)

license_gen$(EXESUFFIX): $(OBJECTS)
	$(CC) -o $@ $(OBJECTS) -L$(MYSQL_DIR)/lib -lmysqlclient \
	$(OPENSSL_DIR)/lib/libcrypto.a $($(PLATFORM)_LIBS)
	chmod g+w $(TARGETS)

install: $(TARGETS)
	strip $(TARGETS)
	cp $(TARGETS) $(TARGET_DIR)
	chmod 710 $(TARGET_DIR)/license_gen$(EXESUFFIX)
	chmod u+s $(TARGET_DIR)/license_gen$(EXESUFFIX)

include ../Makefile.genrules

=== loggerplugins/Makefile ===
##############################################################################
# Copyright (c) 2000-2023 Ericsson Telecom AB
# All rights reserved. This program and the accompanying materials
# are made available under the terms of the Eclipse Public License v2.0
# which accompanies this distribution, and is available at
# https://www.eclipse.org/org/documents/epl-2.0/EPL-2.0.html
#
# Contributors:
#   Balasko, Jeno
#   Delic, Adam
#   Raduly, Csaba
#   Susanszky, Eszter
#
##############################################################################
TOP    := ..
include   ../Makefile.cfg

DIRS := \
JUnitLogger TSTLogger JUnitLogger2

ifeq ($(LTTNGUSTLOGGER),yes)
	DIRS += LTTngUSTLogger
endif

all run dep clean distclean install:
	for d in $(DIRS); do $(MAKE) -C $$d $@ || exit 1; done

=== mctr2/Makefile ===
##############################################################################
# Copyright (c) 2000-2023 Ericsson Telecom AB
# All rights reserved. This program and the accompanying materials
# are made available under the terms of the Eclipse Public License v2.0
# which accompanies this distribution, and is available at
# https://www.eclipse.org/org/documents/epl-2.0/EPL-2.0.html
#
# Contributors:
#   >
#   Baji, Laszlo
#   Balasko, Jeno
#   Bene, Tamas
#   Delic, Adam
#   Forstner, Matyas
#   Gecse, Roland
#   Raduly, Csaba
#   Szabo, Janos Zoltan – initial implementation
#
##############################################################################
# Main Makefile for the TTCN-3 Main Controller

TOP := ..
include $(TOP)/Makefile.cfg

SUBDIRS := 
ifeq ($(CLI), yes)
  SUBDIRS +=  cli
endif
SUBDIRS += mctr

all run:
	@for i in $(SUBDIRS) ; do \
	  (cd $$i && $(MAKE)) || exit; \
	done

install: all
	cd mctr && $(MAKE) install

include ../Makefile.genrules

=== parser/Makefile ===
##############################################################################
# Copyright (c) 2000-2023 Ericsson Telecom AB
# All rights reserved. This program and the accompanying materials
# are made available under the terms of the Eclipse Public License v2.0
# which accompanies this distribution, and is available at
# https://www.eclipse.org/org/documents/epl-2.0/EPL-2.0.html
#
# Contributors:
#   Balasko, Jeno
#   Forstner, Matyas
#   Szabo, Janos Zoltan – initial implementation
#
##############################################################################
# Makefile for the TTCN-3 parser

OBJECTS= parser.tab.o lex.yy.o
TARGETS= parser

.c.o:
	gcc -c -O2 -Wall $<

all:	$(TARGETS)

clean:
	-rm $(OBJECTS) $(TARGETS) lex.yy.c parser.tab.c parser.output parser.tab.h

parser.tab.c: parser.y
	bison -dv $<

lex.yy.c: parser.l parser.tab.c
	flex parser.l

parser: $(OBJECTS)
	gcc -o $@ $(OBJECTS)

=== compiler2/ttcn3/Makefile ===
##############################################################################
# Copyright (c) 2000-2023 Ericsson Telecom AB
# All rights reserved. This program and the accompanying materials
# are made available under the terms of the Eclipse Public License v2.0
# which accompanies this distribution, and is available at
# https://www.eclipse.org/org/documents/epl-2.0/EPL-2.0.html
#
# Contributors:
#   Balasko, Jeno
#   Baranyi, Botond
#   Cserveni, Akos
#   Delic, Adam
#   Forstner, Matyas
#   Kovacs, Ferenc
#   Kremer, Peter
#   Raduly, Csaba
#   Szabados, Kristof
#   Szabo, Janos Zoltan – initial implementation
#   Szalai, Gabor
#   Tatarka, Gabor
#   Zalanyi, Balazs Andor
#
##############################################################################
# Makefile for the TTCN-3 part of the compiler

TOP := ../..
include $(TOP)/Makefile.cfg

ifeq ($(findstring g++, $(CXX)), g++)
  CXXFLAGS += -fno-exceptions
endif

ifdef OPENSSL_DIR
ifneq ($(OPENSSL_DIR), default)
  CPPFLAGS += -I$(OPENSSL_DIR)/include
endif
endif

CPPFLAGS += -I$(SRC_TOP)

TARGETS := libttcn3_compiler.a

ORIGINATORS := charstring_la.l  coding_attrib_la.l  coding_attrib_p.y  \
compiler.l  compiler.y  comptype_attrib_la.l  pstring_la.l  \
rawAST.l  rawAST.y  ttcn3_preparser.l

GENERATED_SOURCES := lex.ttcn3.cc compiler.tab.cc lex.rawAST.cc rawAST.tab.cc \
charstring_la.cc pstring_la.cc comptype_attrib_la.cc coding_attrib_la.cc \
coding_attrib_p.cc ttcn3_preparser.lex.c

GENERATED_HEADERS := compiler.tab.hh rawAST.tab.hh coding_attrib_p.hh

GENERATED_OTHERS := compiler.output rawAST.output coding_attrib_p.output lex.backup

STATIC_SOURCES := ArrayDimensions.cc AST_ttcn3.cc Attributes.cc ILT.cc PatternString.cc \
RawAST.cc Statement.cc TtcnTemplate.cc Templatestuff.cc TextAST.cc Ttcnstuff.cc \
compiler.c port.c signature.c BerAST.cc JsonAST.cc Ttcn2Json.cc profiler.c OerAST.cc

SOURCES := $(STATIC_SOURCES) $(GENERATED_SOURCES)
	
COMMON_OBJECTS := $(addprefix ../../common/, JSON_Tokenizer.o)

OBJECTS := $(patsubst %.cc,%.o,$(patsubst %.c,%.o,$(SOURCES))) $(COMMON_OBJECTS)

DEPFILES := $(patsubst %.cc,%.d,$(patsubst %.c,%.d,$(SOURCES)))

SUBDIRS :=

all run: $(TARGETS)

libttcn3_compiler.a: $(OBJECTS)
	$(AR) -r $@ $?

%_la.cc: %_la.l
	$(FLEX) $(FLEXFLAGS) -o$@ $<

%_p.cc %_p.hh: %_p.y
	$(BISON) $(BISONFLAGS) $<

compiler.tab.cc compiler.tab.hh: compiler.y
	$(BISON) $(BISONFLAGS) -p ttcn3_ -o compiler.tab.cc $<

rawAST.tab.cc rawAST.tab.hh: rawAST.y
	$(BISON) $(BISONFLAGS) -p rawAST_ -o rawAST.tab.cc $<

lex.ttcn3.cc: compiler.l
	$(FLEX) $(FLEXFLAGS) -Pttcn3_ -o$@ $<

lex.rawAST.cc: rawAST.l
	$(FLEX) $(FLEXFLAGS) -PrawAST_ -o$@ $<

ttcn3_preparser.lex.c: ttcn3_preparser.l
	$(FLEX) $(FLEXFLAGS) -Pttcn3_preparser_ -o$@ $<

include ../../Makefile.genrules

# pre-seed dependencies
lex.ttcn3.d: compiler.tab.hh

=== conformance_test/OOP_tests/Makefile ===
##############################################################################
# Copyright (c) 2000-2023 Ericsson Telecom AB
# All rights reserved. This program and the accompanying materials
# are made available under the terms of the Eclipse Public License v2.0
# which accompanies this distribution, and is available at
# https://www.eclipse.org/org/documents/epl-2.0/EPL-2.0.html
#
# Contributors:
#   Kirjak, Adrien
#
# not ready
##############################################################################
#TOPDIR := ..
#include $(TOPDIR)/Makefile.regression

#ifdef LCOV
#COVERAGE_FLAG := -C
#endif

MAKE := make

#DIRS := negative_tests positive_tests
DIRS := positive_tests

WORKING_DIR := $(shell pwd)

# It can be built manually.
run clean:
	echo "hello"
	@for dir in $(DIRS); do make $@ -C $$dir || exit; done

.PHONY: all clean run

=== doc/parallelarch/Makefile ===
##############################################################################
# Copyright (c) 2000-2023 Ericsson Telecom AB
# All rights reserved. This program and the accompanying materials
# are made available under the terms of the Eclipse Public License v2.0
# which accompanies this distribution, and is available at
# https://www.eclipse.org/org/documents/epl-2.0/EPL-2.0.html
#
# Contributors:
#   Balasko, Jeno
#   Forstner, Matyas
#   Szabados, Kristof
#   Szabo, Janos Zoltan – initial implementation
#
##############################################################################
TOP := ../../
include ../../Makefile.cfg

DOCUMENTS := parallel

TARGETS := $(addsuffix .ps, $(DOCUMENTS)) $(addsuffix .pdf, $(DOCUMENTS))

GENERATED_EPS := parallelarch.eps state_mach_mc.eps state_mach_hc.eps \
  state_mach_hc_mc.eps state_mach_mtc.eps state_mach_ptc_mc.eps \
  state_mach_conn_endpoint.eps state_mach_conn_mc.eps state_mach_mapping_mc.eps

TOBECLEANED := $(addsuffix .aux, $(DOCUMENTS)) $(addsuffix .dvi, $(DOCUMENTS)) $(addsuffix .log, $(DOCUMENTS)) $(addsuffix .toc, $(DOCUMENTS))

all: $(TARGETS)

clean:
	$(RM) $(TARGETS) $(TOBECLEANED)

distclean: clean
	$(RM) $(GENERATED_EPS)

parallel.ps: $(GENERATED_EPS)

%.eps: %.dot
	dot -Tps -o $@ $<

%.eps: %.fig
	fig2dev -L eps $< $@

%.dvi: %.tex
	$(TEXPATH)/latex $<
	$(TEXPATH)/latex $<
	$(TEXPATH)/latex $<

%.ps: %.dvi
	$(TEXPATH)/dvips -o $@ $<

%.pdf: %.ps
	distill -compatlevel 3.0 -pagesize 21 29.7 cm -resolution 600 \
	-colordownsample off -graydownsample off -monodownsample off \
	-colorcompr zip -graycompr zip -monocompr zip -embedallfonts on \
	-compresstext on \
	<$< >$@

=== debian/changelog ===
eclipse-titan-optdir-9.0.0 (9.0.0~osmocom1.2263.c685) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom master feed

 -- Osmocom OBS scripts <info@osmocom.org>  Wed, 11 Jun 2025 08:28:35 +0000

eclipse-titan-optdir-9.0.0 (9.0.0~osmocom1) unstable; urgency=medium

  * Makefile: don't build and run "hello" example
  * debian: add debian packaging

 -- Oliver Smith <osmith@sysmocom.de>  Tue, 27 May 2025 15:03:32 +0200

=== debian/control ===
Source: eclipse-titan-optdir-9.0.0
Maintainer: Osmocom team <openbsc@lists.osmocom.org>
Homepage: https://gitlab.eclipse.org/eclipse/titan/titan.core
Section: java
Priority: optional
Standards-Version: 4.3.0
Build-Depends: bison,
               debhelper (>= 9),
               default-jdk,
               expect,
               flex,
               libedit-dev,
               libncurses5-dev,
               libssl-dev,
               libxml2-dev

Package: eclipse-titan-optdir-9.0.0
Architecture: any
Depends: expect,
	 libedit-dev,
         libpcap-dev,
         libpcre3-dev,
         libsctp-dev,
         libssl-dev,
         libxml2-dev,
         make,
         perl,
         python3,
         gcc (>= ${gcc:Version}),
         gcc (<< ${gcc:Version}.0),
         ${misc:Depends},
         ${shlibs:Depends}
Description: TITAN TTCN-3 toolset from the Eclipse project
 TTCN-3 is a standardized, modular language specifically designed for testing.
 Eclipse Titan offers a free and open source (FOSS) compiler both for TTCN-3
 and for ASN.1

=== debian/rules ===
#!/usr/bin/make -f
export V=1
export DEB_BUILD_MAINT_OPTIONS=hardening=+all
export TITAN_VERSION=9.0.0
export OPTDIR=debian/eclipse-titan-optdir-$(TITAN_VERSION)/opt/eclipse-titan-$(TITAN_VERSION)/

%:
	dh $@ --verbose --no-parallel

override_dh_shlibdeps:
	dh_shlibdeps -l$(CURDIR)/Install/lib

override_dh_auto_install:
	$(MAKE) DESTDIR=$(CURDIR)/debian/eclipse-titan prefix=/usr install
	find $(CURDIR)/Install -type d -empty -delete
	mkdir -p "$(OPTDIR)"
	for dir in bin etc include lib; do \
		mv -v Install/"$$dir" "$(OPTDIR)/$$dir"; \
	done

override_dh_gencontrol:
	dh_gencontrol -- -V'gcc:Version=$(shell dpkg-query -f '$${Version}\n' -W gcc | sed -e 's/-[^-]*$$//')'
